Skip to main content
GET
/
api
/
v2
/
value
value
curl --request GET \
  --url https://api.naos.trade/api/v2/value \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "inputAddress": "<string>",
  "inputAmount": 123,
  "outputAddress": "<string>",
  "outputAmount": 123,
  "outputValueUsd": 123,
  "side": "<string>",
  "cumulativePoolFee": 123,
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

API key via Authorization: Bearer YOUR_API_KEY

Query Parameters

tokenIn
string
required

Input token address (use 0x0000000000000000000000000000000000000000 for native)

tokenOut
string
required

Output token address (use 0x0000000000000000000000000000000000000000 for native)

trader
string

Wallet address (used to fetch tokenIn balance when amount is omitted)

amount
number

Amount of tokenIn to trade. If omitted, uses trader's full tokenIn balance.

chain
enum<string>

Blockchain network (auto-detected if omitted) Blockchain network identifier

Available options:
BASE,
ETH,
BSC,
ARB,
AVAX,
ABS,
HYPE,
INK,
STORY,
XLAYER,
PLASMA,
UNI,
MONAD,
MEGAETH,
SOL

Response

Price estimate

success
boolean
required
inputAddress
string | null
inputAmount
number | null
outputAddress
string | null
outputAmount
number | null
outputValueUsd
number | null
side
string | null
cumulativePoolFee
number | null

Total pool fees across the route

error
string | null